HdfsServerConstants.RollingUpgradeStartupOption (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.common, interface: HdfsServerConstants, enum: RollingUpgradeStartupOption

Package org.apache.hadoop.hdfs.server.common

# Enum Class HdfsServerConstants.RollingUpgradeStartupOption

java.lang.Object
java.lang.Enum<HdfsServerConstants.RollingUpgradeStartupOption>
org.apache.hadoop.hdfs.server.common.HdfsServerConstants.RollingUpgradeStartupOption

All Implemented Interfaces:
  `Serializable`, `Comparable<HdfsServerConstants.RollingUpgradeStartupOption>`, `Constable`

Enclosing interface:
  org.apache.hadoop.hdfs.server.common.HdfsServerConstants

public static enum HdfsServerConstants.RollingUpgradeStartupOption extends Enum<HdfsServerConstants.RollingUpgradeStartupOption>
Startup options for rolling upgrade.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ROLLBACK`
  `STARTED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getAllOptionString()`
  `String`
  `getOptionString()`
  `boolean`
  `matches(HdfsServerConstants.StartupOption option)`
  `static HdfsServerConstants.RollingUpgradeStartupOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HdfsServerConstants.RollingUpgradeStartupOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ROLLBACK

    public static final HdfsServerConstants.RollingUpgradeStartupOption ROLLBACK

  - ### STARTED

    public static final HdfsServerConstants.RollingUpgradeStartupOption STARTED

- ## Method Details

  - ### values

    public static HdfsServerConstants.RollingUpgradeStartupOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HdfsServerConstants.RollingUpgradeStartupOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getOptionString

    public String getOptionString()

  - ### matches

    public boolean matches(HdfsServerConstants.StartupOption option)

  - ### getAllOptionString

    public static String getAllOptionString()